#
# Conditional build:
%bcond_without	apidocs	# doxygen apidocs build
%bcond_without	tests	# tests during build

Summary:	API for manipulating JSON
Summary(pl.UTF-8):	API do operacji na strukturach JSON
Name:		jsoncpp
Version:	1.8.0
Release:	1
License:	MIT or Public Domain
Group:		Libraries
#Source0Download: https://github.com/open-source-parsers/jsoncpp/releases
Source0:	https://github.com/open-source-parsers/jsoncpp/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	6d6cbd82b5fe4a9cbae4ffef01f9e9fc
URL:		https://github.com/open-source-parsers/jsoncpp/
BuildRequires:	cmake >= 3.1
BuildRequires:	libstdc++-devel
BuildRequires:	python >= 2
%if %{with apidocs}
BuildRequires:	doxygen
BuildRequires:	graphviz
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JSONCPP provides a simple API to manipulate JSON values, and handle
serialization and unserialization to strings.

%description
JSONCPP udostępnia proste API do operacji na wartościach JSON oraz
obsługi serializacji oraz deserializacji z łańcuchów znaków.

%package devel
Summary:	Header files for JSONCPP library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki JSONCPP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for JSONCPP library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki JSONCPP.

%package static
Summary:	Static JSONCPP library
Summary(pl.UTF-8):	Statyczna biblioteka JSONCPP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static JSONCPP library.

%description static -l pl.UTF-8
Statyczna biblioteka JSONCPP.

%package apidocs
Summary:	API documentation for JSONCPP library
Summary(pl.UTF-8):	Dokumentacja API biblioteki JSONCPP
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for JSONCPP library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki JSONCPP.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DCMAKE_INSTALL_INCLUDEDIR:PATH=%{_includedir}/%{name} \
	-DJSONCPP_WITH_CMAKE_PACKAGE=ON \
	%{!?with_tests:-DJSONCPP_WITH_TESTS=OFF}
cd ..

%if %{with apidocs}
%{__python} doxybuild.py \
	--dot=/usr/bin/dot \
	--doxygen=/usr/bin/doxygen
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE NEWS.txt README.md
%attr(755,root,root) %{_libdir}/libjsoncpp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libjsoncpp.so.11

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libjsoncpp.so
%{_includedir}/jsoncpp
%{_pkgconfigdir}/jsoncpp.pc
%{_libdir}/cmake/jsoncpp

%files static
%defattr(644,root,root,755)
%{_libdir}/libjsoncpp.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc dist/doxygen/jsoncpp-api-html-*/*
%endif
%changelog
* Sun Jan 22 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/jsoncpp.git;a=log;h=master

* Sat Jan 21 2017 Jakub Bogusz <qboosh@pld-linux.org> 551d002
- updated to 1.8.0 (note: new soname)

* Sun Jan 10 2016 Elan Ruusamäe <glen@delfi.ee> 582df21
- noarch apidoc

* Mon Sep 21 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> dc41cd8
- release 3 (by relup.sh)

* Mon May 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> f14332c
- rel 2; make it compatible with how other distros package it

* Mon May 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6b377cf
- up to 1.6.2

* Sun Apr 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 2bb6925
- package static library

* Tue Mar 10 2015 Jan Rękorajski <baggins@pld-linux.org> d5efa50
- up to 1.6.0
- removed obsolete patches

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> 49e003d
- release 2 (by relup.sh)

* Fri Dec 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 1fe9b66
- new URLs, updated to 1.0.0 (note: new soname, headers must be used as <jsoncpp/*> now)
- switch from scons to cmake build system, which is less broken
- removed obsolete optflags patch and .pc file
- added test patch (don't try to compare floats exactly)
- added libdir patch

* Sun Jun 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 68cefea
- pl, cleanups, build doxygen apidocs

* Sat Dec 07 2013 Jan Rękorajski <baggins@pld-linux.org> c78f989
- inline-small-function causes maxint32 test to fail on 32bit archs

* Sat Dec 07 2013 Jan Rękorajski <baggins@pld-linux.org> a34854f
- updated to svn r275

* Sat Dec 07 2013 Jan Rękorajski <baggins@pld-linux.org> 01aa938
- cleanup release

* Sat Jan 26 2013 Lukasz Glebicki <blekot@pld-linux.org> 3831d8e
- up to svn 251

* Sun Nov 11 2012 Elan Ruusamäe <glen@delfi.ee> c4ee664
- fill Group to -devel subpackage, to avoid poldek crash. LP#1077603

* Sun Nov 11 2012 Elan Ruusamäe <glen@delfi.ee> 0cc95b9
- new, version 0.6.0-svn

